Package org.springframework.security.web.server.authorization

# Class ServerWebExchangeDelegatingServerAccessDeniedHandler.DelegateEntry

java.lang.Object
org.springframework.security.web.server.authorization.ServerWebExchangeDelegatingServerAccessDeniedHandler.DelegateEntry

Enclosing class:
  ServerWebExchangeDelegatingServerAccessDeniedHandler

public static class ServerWebExchangeDelegatingServerAccessDeniedHandler.DelegateEntry extends Object

## Constructor Summary

Constructors
Constructor
Description
`DelegateEntry(ServerWebExchangeMatcher matcher, ServerAccessDeniedHandler accessDeniedHandler)`

## Method Summary

Modifier and Type
Method
Description
`ServerAccessDeniedHandler`
`getAccessDeniedHandler()`
`ServerWebExchangeMatcher`
`getMatcher()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegateEntry

public DelegateEntry(ServerWebExchangeMatcher matcher, ServerAccessDeniedHandler accessDeniedHandler)

## Method Details

### getMatcher

public ServerWebExchangeMatcher getMatcher()

### getAccessDeniedHandler

public ServerAccessDeniedHandler getAccessDeniedHandler()